/*

 Copyright (c) [2023] [pcm]
 [pcm-coordinator] is licensed under Mulan PSL v2.
 You can use this software according to the terms and conditions of the Mulan PSL v2.
 You may obtain a copy of Mulan PSL v2 at:
          http://license.coscl.org.cn/MulanPSL2
 THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 EITHER EXPaRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 See the Mulan PSL v2 for more details.

*/

package cron

import (
	"gitlink.org.cn/jcce-pcm/pcm-coordinator/api/internal/svc"
)

func AddCronGroup(svc *svc.ServiceContext) {
	// 删除三天前的监控信息
	svc.Cron.AddFunc("0 0 0 ? * ? ", func() {
		ClearMetricsData(svc)
	})

	// 同步任务信息到core端
	svc.Cron.AddFunc("*/5  *  *  *  *  ?", func() {
		SyncParticipantRpc(svc)
	})

}
