package cloud

import (
	"gitlink.org.cn/jcce-pcm/pcm-coordinator/api/internal/logic/cloud"
	"gitlink.org.cn/jcce-pcm/pcm-coordinator/api/internal/svc"
	"gitlink.org.cn/jcce-pcm/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func NoticeTenantHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := cloud.NewNoticeTenantLogic(r.Context(), svcCtx)
		resp, err := l.NoticeTenant()
		result.HttpResult(r, w, resp, err)
	}
}
