/*

 Copyright (c) [2023] [pcm]
 [pcm-coordinator] is licensed under Mulan PSL v2.
 You can use this software according to the terms and conditions of the Mulan PSL v2.
 You may obtain a copy of Mulan PSL v2 at:
          http://license.coscl.org.cn/MulanPSL2
 THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 EITHER EXPaRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 See the Mulan PSL v2 for more details.

*/

package providerPricing

type Strategy struct {
	Tasksolution     []int   //对应1种任务分配方案
	Resourcesolution [][]int //有多种资源购买方案
	ValueSum         float64 //记录该参与联盟最大策略的总分值
	Profit           float64 //记录该参与联盟最大策略的利润
	HighDegree       float64 //记录该参与联盟最大策略的高可用度值
}

func NewStrategy() *Strategy {
	return &Strategy{}
}
